MSWStruct.hxx File Reference
`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWParagraph.hxx"`

Go to the source code of this file.

## Classes

struct | MSWStruct::Font
| the font structure of a Microsoft Word file More...
struct | MSWStruct::Section
| the section structure of a Microsoft Word file More...
struct | MSWStruct::Table
| the table in a Microsoft Word file More...
struct | MSWStruct::Table::Cell
| the cells definitions in a Microsoft Word Table More...
struct | MSWStruct::ParagraphInfo
| the paragraph information of a Microsoft Word file (PHE) More...
struct | MSWStruct::Paragraph
| the paragraph structure of a Microsoft Word file More...

## Namespaces

| MSWStruct
| namespace to store the main structure which appears in a Microsoft Word 3.0-5.0 file

## Functions

MWAWBorder | MSWStruct::getBorder (int val, std::string &extra)
| generic function use to fill a border using the read data More...